MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024253Open CASCADE[OCCT] OCCT:Visualizationpublic2013-10-11 11:062013-12-19 13:59
Reporterapl 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024253: FBO: Improper deletion of combined Stencil+Depth RenderBuffer
DescriptionThe recent modifications to Frame Buffer Object code added support for stencil buffering. Depending on "GL" extension the stencil buffer can be combined with depth buffer or created separately. For the first described case, the stencil buffer will be released imroperly. There is a possibility of catching problems with some OpenGl implementations.

Please see the following code snippet (OpenGl_FrameBuffer.cxx)
+    if (!theGlContext.IsNull() && theGlContext->extFBO != NULL)
+    {
+      theGlContext->extFBO->glDeleteRenderbuffersEXT (1, &myGlStencilRBId);
+      myGlStencilRBId = NO_RENDERBUFFER;
+    }


TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024224closedbugmaster Suspicious logics in changing clipping planes at OpenGl_Structure 
related to 0024228closedabv TKOpenGL - destroy GL context at view close 

-  Notes
(0026145)
apl (developer)
2013-10-19 15:26

Dear kgv,

Please confirm that branch CR24228 contains fix for this issue.
(0026485)
kgv (developer)
2013-11-06 15:58

Dear Bugmaster,

please close the issue as it has been taken into account in patch for 0024228.
(0026489)
bugmaster (administrator)
2013-11-06 16:07

Fix has been integrated together with 0024228.

- Issue History
Date Modified Username Field Change
2013-10-11 11:06 apl New Issue
2013-10-11 11:06 apl Assigned To => apl
2013-10-11 11:06 apl Relationship added related to 0024224
2013-10-11 11:06 apl Status new => assigned
2013-10-11 11:10 apl Description Updated View Revisions
2013-10-19 15:25 apl Relationship added related to 0024228
2013-10-19 15:26 apl Note Added: 0026145
2013-10-19 15:26 apl Assigned To apl => kgv
2013-10-19 15:26 apl Status assigned => feedback
2013-11-06 15:58 kgv Note Added: 0026485
2013-11-06 15:58 kgv Assigned To kgv => bugmaster
2013-11-06 16:06 bugmaster Status feedback => tested
2013-11-06 16:07 bugmaster Note Added: 0026489
2013-11-06 16:07 bugmaster Status tested => verified
2013-11-06 16:07 bugmaster Resolution open => fixed
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker